GDB (xrefs)

Public Attributes | List of all members
lval_funcs Struct Reference

`#include "value.h"`

## Public Attributes
void(* | read )(struct value *v)
void(* | write )(struct value *toval, struct value *fromval)
struct value *(* | indirect )(struct value *value)
struct value *(* | coerce_ref )(const struct value *value)
int(* | check_synthetic_pointer )(const struct value *value, LONGEST offset, int length)
void *(* | copy_closure )(const struct value *v)
void(* | free_closure )(struct value *v)

## Detailed Description

Definition at line 220 of file value.h.

## Member Data Documentation

## ◆ check_synthetic_pointer

int(* lval_funcs::check_synthetic_pointer) (const struct value *value, LONGEST offset, int length)

Definition at line 247 of file value.h.

## ◆ coerce_ref

struct value*(* lval_funcs::coerce_ref) (const struct value *value)

Definition at line 243 of file value.h.

Referenced by coerce_ref_if_computed().

## ◆ copy_closure

void*(* lval_funcs::copy_closure) (const struct value *v)

Definition at line 256 of file value.h.

Referenced by set_value_component_location(), and value_copy().

## ◆ free_closure

void(* lval_funcs::free_closure) (struct value *v)

Definition at line 264 of file value.h.

Referenced by value_free().

## ◆ indirect

struct value*(* lval_funcs::indirect) (struct value *value)

Definition at line 238 of file value.h.

Referenced by value_ind().

## ◆ read

void(* lval_funcs::read) (struct value *v)

Definition at line 226 of file value.h.

Referenced by value_fetch_lazy().

## ◆ write

void(* lval_funcs::write) (struct value *toval, struct value *fromval)

Definition at line 233 of file value.h.

Referenced by value_assign(), and gdb._GdbFile::writelines().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/value.h